Bug 1425595 - SUI: Deleting All snapshots of a VM from SUI deletes the VM from service
Summary: SUI: Deleting All snapshots of a VM from SUI deletes the VM from service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Allen W
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-21 20:31 UTC by Shveta
Modified: 2017-05-31 14:36 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:36:03 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
delete all snapshots (65.06 KB, image/png)
2017-02-21 20:31 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2017-02-21 20:31:24 UTC
Created attachment 1256243 [details]
delete all snapshots

Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.1-nightly.20170217165449_ee3e7b9 

How reproducible:


Steps to Reproduce:
1. Created a service for vmware with one VM.
2. create one or two snapshots of the VM
3. delete all snapshots using "delete all snapshots", The VM link from the service is gone from SSUI .
4. Click on the service , VM is deleted from the service (OPS UI)

Actual results:


Expected results:


Additional info:

Comment 2 Chris Kacerguis 2017-02-23 15:09:43 UTC
Allen - I think that you fixed this already?

Comment 3 Allen W 2017-02-23 15:15:00 UTC
Correct https://www.pivotaltracker.com/story/show/140438905

Comment 4 Satoe Imaishi 2017-02-23 17:56:21 UTC
PR: https://github.com/ManageIQ/manageiq-ui-service/pull/532

Comment 5 Shveta 2017-04-17 22:28:01 UTC
Fixed in 5.8.0.10-beta1-nightly.20170414034628_b979a0b

Comment 7 errata-xmlrpc 2017-05-31 14:36:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.